Bug 737915 - [abrt] suck-4.3.2-33.fc15: strlen: Process /usr/libexec/news/testhost was killed by signal 11 (SIGSEGV)
Summary: [abrt] suck-4.3.2-33.fc15: strlen: Process /usr/libexec/news/testhost was kil...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: suck
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3a3c07c16315c2ebacd0afd2368...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 11:53 UTC by Robert Hinson
Modified: 2012-08-07 16:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:36:55 UTC


Attachments (Terms of Use)

Description Robert Hinson 2011-09-13 11:53:23 UTC
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        /usr/libexec/news/testhost -a
comment:        
component:      suck
crash_function: strlen
executable:     /usr/libexec/news/testhost
kernel:         2.6.40.4-5.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        suck-4.3.2-33.fc15
reason:         Process /usr/libexec/news/testhost was killed by signal 11 (SIGSEGV)
time:           Mon Sep 12 01:13:45 2011
uid:            0
username:       root

backtrace:
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/ef/6e88fa7b12e5009f4c36441bd310bf7431d096
:[New LWP 29098]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/libexec/news/testhost -a'.
:Program terminated with signal 11, Segmentation fault.
:#0  __strlen_sse2_bsf () at ../sysdeps/i386/i686/multiarch/strlen-sse2-bsf.S:52
:52		movdqu	(%edi), %xmm1
:
:Thread 1 (Thread 0xb784f950 (LWP 29098)):
:#0  __strlen_sse2_bsf () at ../sysdeps/i386/i686/multiarch/strlen-sse2-bsf.S:52
:No locals.
:#1  0x0804aa1c in connect_to_nntphost (host=0x0, hname=0x0, hnlength=0, msgs=0x41ac1500, portnr=119, do_ssl=0, ssl=0xbfe51924) at both.c:165
:        realhost = <optimized out>
:        pport = <optimized out>
:        sport = "\226A\227\271\004\b\000\000\000"
:        l = <optimized out>
:        hint = {ai_flags = 0, ai_family = 0, ai_socktype = 0, ai_protocol = 0, ai_addrlen = 0, ai_addr = 0x0, ai_canonname = 0x0, ai_next = 0x0}
:        r = <optimized out>
:        sockfd = -1
:        ssl_struct = 0x0
:        test1 = 0x0
:#2  0x08049348 in main (argc=2, argv=0xbfe519f4) at testhost.c:231
:        sockfd = <optimized out>
:        response = <optimized out>
:        loop = <optimized out>
:        cmd = <optimized out>
:        quiet = <optimized out>
:        mode_reader = <optimized out>
:        do_ssl = <optimized out>
:        retval = <optimized out>
:        sbuf = {st_dev = 4727560937538584699, __pad1 = 44626, st_ino = 3219462380, st_mode = 1101528896, st_nlink = 68, st_uid = 8, st_gid = 4185718668, st_rdev = 4096, __pad2 = 0, st_size = 0, st_blksize = 0, st_blocks = 0, st_atim = {tv_sec = 1100390142, tv_nsec = 1122871193}, st_mtim = {tv_sec = 0, tv_nsec = 0}, st_ctim = {tv_sec = 13, tv_nsec = 134534452}, __unused4 = 2, __unused5 = 134515549}
:        portnr = <optimized out>
:        fptr = <optimized out>
:        ssl_struct = <optimized out>
:        host = <optimized out>
:        buf = <optimized out>
:        ptr = <optimized out>
:        cmdargs = <optimized out>
:        userid = <optimized out>
:        passwd = <optimized out>
:        ndate = "\004\b\231\247\355B\303\251\226A\231)\255A"
:        phrases = <optimized out>
:From        To          Syms Read   Shared Object Library
:0x4476c120  0x4477a96c  Yes         /lib/libnsl-2.14.so
:0x416ceef0  0x4170695c  Yes         /usr/lib/libssl.so.1.0.0e
:0x4194fd10  0x41a6dd24  Yes         /lib/libc-2.14.so
:0x424d6540  0x42505bcc  Yes         /lib/libgssapi_krb5.so.2.2
:0x42405220  0x42483a6c  Yes         /lib/libkrb5.so.3.3
:0x42259e30  0x4225ab7c  Yes         /lib/libcom_err.so.2.1
:0x42519bc0  0x4253463c  Yes         /lib/libk5crypto.so.3.1
:0x41c965f0  0x41ca665c  Yes         /lib/libresolv-2.14.so
:0x42df1ec0  0x42eda75c  Yes         /lib/libcrypto.so.1.0.0e
:0x41ae3a60  0x41ae4a8c  Yes         /lib/libdl-2.14.so
:0x41b22670  0x41b2faac  Yes         /lib/libz.so.1.2.5
:0x41918850  0x4192faff  Yes         /lib/ld-2.14.so
:0x423ead70  0x423f01ac  Yes         /lib/libkrb5support.so.0.1
:0x42512860  0x42512fdc  Yes         /lib/libkeyutils-1.2.so
:0x41acb600  0x41ad6d6c  Yes         /lib/libpthread-2.14.so
:0x41b5c490  0x41b6dd9c  Yes         /lib/libselinux.so.1
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:eax            0x0	0
:ecx            0x0	0
:edx            0x77	119
:ebx            0xbfe516cc	-1075505460
:esp            0xbfe51674	0xbfe51674
:ebp            0xbfe51858	0xbfe51858
:esi            0x0	0
:edi            0x0	0
:eip            0x419b8ca6	0x419b8ca6 <__strlen_sse2_bsf+22>
:eflags         0x210283	[ CF SF IF RF ID ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function __strlen_sse2_bsf:
:   0x419b8c90 <+0>:	push   %esi
:   0x419b8c91 <+1>:	push   %edi
:   0x419b8c92 <+2>:	mov    0xc(%esp),%edi
:   0x419b8c96 <+6>:	xor    %eax,%eax
:   0x419b8c98 <+8>:	mov    %edi,%ecx
:   0x419b8c9a <+10>:	and    $0x3f,%ecx
:   0x419b8c9d <+13>:	pxor   %xmm0,%xmm0
:   0x419b8ca1 <+17>:	cmp    $0x30,%ecx
:   0x419b8ca4 <+20>:	ja     0x419b8cbd <__strlen_sse2_bsf+45>
:=> 0x419b8ca6 <+22>:	movdqu (%edi),%xmm1
:   0x419b8caa <+26>:	pcmpeqb %xmm1,%xmm0
:   0x419b8cae <+30>:	pmovmskb %xmm0,%edx
:   0x419b8cb2 <+34>:	test   %edx,%edx
:   0x419b8cb4 <+36>:	jne    0x419b8d29 <__strlen_sse2_bsf+153>
:   0x419b8cb6 <+38>:	mov    %edi,%eax
:   0x419b8cb8 <+40>:	and    $0xfffffff0,%eax
:   0x419b8cbb <+43>:	jmp    0x419b8cd7 <__strlen_sse2_bsf+71>
:   0x419b8cbd <+45>:	mov    %edi,%eax
:   0x419b8cbf <+47>:	and    $0xfffffff0,%eax
:   0x419b8cc2 <+50>:	pcmpeqb (%eax),%xmm0
:   0x419b8cc6 <+54>:	mov    $0xffffffff,%esi
:   0x419b8ccb <+59>:	sub    %eax,%ecx
:   0x419b8ccd <+61>:	shl    %cl,%esi
:   0x419b8ccf <+63>:	pmovmskb %xmm0,%edx
:   0x419b8cd3 <+67>:	and    %esi,%edx
:   0x419b8cd5 <+69>:	jne    0x419b8d27 <__strlen_sse2_bsf+151>
:   0x419b8cd7 <+71>:	pxor   %xmm0,%xmm0
:   0x419b8cdb <+75>:	pxor   %xmm1,%xmm1
:   0x419b8cdf <+79>:	pxor   %xmm2,%xmm2
:   0x419b8ce3 <+83>:	pxor   %xmm3,%xmm3
:   0x419b8ce7 <+87>:	mov    %esi,%esi
:   0x419b8ce9 <+89>:	lea    0x0(%edi,%eiz,1),%edi
:   0x419b8cf0 <+96>:	pcmpeqb 0x10(%eax),%xmm0
:   0x419b8cf5 <+101>:	pmovmskb %xmm0,%edx
:   0x419b8cf9 <+105>:	test   %edx,%edx
:   0x419b8cfb <+107>:	jne    0x419b8d31 <__strlen_sse2_bsf+161>
:   0x419b8cfd <+109>:	pcmpeqb 0x20(%eax),%xmm1
:   0x419b8d02 <+114>:	pmovmskb %xmm1,%edx
:   0x419b8d06 <+118>:	test   %edx,%edx
:   0x419b8d08 <+120>:	jne    0x419b8d3e <__strlen_sse2_bsf+174>
:   0x419b8d0a <+122>:	pcmpeqb 0x30(%eax),%xmm2
:   0x419b8d0f <+127>:	pmovmskb %xmm2,%edx
:   0x419b8d13 <+131>:	test   %edx,%edx
:   0x419b8d15 <+133>:	jne    0x419b8d4b <__strlen_sse2_bsf+187>
:   0x419b8d17 <+135>:	pcmpeqb 0x40(%eax),%xmm3
:   0x419b8d1c <+140>:	pmovmskb %xmm3,%edx
:   0x419b8d20 <+144>:	lea    0x40(%eax),%eax
:   0x419b8d23 <+147>:	test   %edx,%edx
:   0x419b8d25 <+149>:	je     0x419b8cf0 <__strlen_sse2_bsf+96>
:   0x419b8d27 <+151>:	sub    %edi,%eax
:   0x419b8d29 <+153>:	bsf    %edx,%edx
:   0x419b8d2c <+156>:	add    %edx,%eax
:   0x419b8d2e <+158>:	pop    %edi
:   0x419b8d2f <+159>:	pop    %esi
:   0x419b8d30 <+160>:	ret    
:   0x419b8d31 <+161>:	sub    %edi,%eax
:   0x419b8d33 <+163>:	bsf    %edx,%edx
:   0x419b8d36 <+166>:	add    %edx,%eax
:   0x419b8d38 <+168>:	add    $0x10,%eax
:   0x419b8d3b <+171>:	pop    %edi
:   0x419b8d3c <+172>:	pop    %esi
:   0x419b8d3d <+173>:	ret    
:   0x419b8d3e <+174>:	sub    %edi,%eax
:   0x419b8d40 <+176>:	bsf    %edx,%edx
:   0x419b8d43 <+179>:	add    %edx,%eax
:   0x419b8d45 <+181>:	add    $0x20,%eax
:   0x419b8d48 <+184>:	pop    %edi
:   0x419b8d49 <+185>:	pop    %esi
:   0x419b8d4a <+186>:	ret    
:   0x419b8d4b <+187>:	sub    %edi,%eax
:   0x419b8d4d <+189>:	bsf    %edx,%edx
:   0x419b8d50 <+192>:	add    %edx,%eax
:   0x419b8d52 <+194>:	add    $0x30,%eax
:   0x419b8d55 <+197>:	pop    %edi
:   0x419b8d56 <+198>:	pop    %esi
:   0x419b8d57 <+199>:	ret    
:End of assembler dump.

dso_list:
:/lib/libkrb5support.so.0.1 krb5-libs-1.9.1-5.fc15.i686 (Fedora Project) 1314631933
:/lib/libnsl-2.14.so glibc-2.14-5.i686 (Fedora Project) 1314631473
:/lib/libcrypto.so.1.0.0e openssl-1.0.0e-1.fc15.i686 (Fedora Project) 1315659267
:/lib/libc-2.14.so glibc-2.14-5.i686 (Fedora Project) 1314631473
:/lib/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-5.fc15.i686 (Fedora Project) 1314631933
:/lib/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.i686 (Fedora Project) 1313354247
:/lib/libpthread-2.14.so glibc-2.14-5.i686 (Fedora Project) 1314631473
:/lib/ld-2.14.so glibc-2.14-5.i686 (Fedora Project) 1314631473
:/lib/libdl-2.14.so glibc-2.14-5.i686 (Fedora Project) 1314631473
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1313354254
:/lib/libk5crypto.so.3.1 krb5-libs-1.9.1-5.fc15.i686 (Fedora Project) 1314631933
:/lib/libkrb5.so.3.3 krb5-libs-1.9.1-5.fc15.i686 (Fedora Project) 1314631933
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1313354243
:/usr/libexec/news/testhost suck-4.3.2-33.fc15.i686 (Fedora Project) 1315665405
:/usr/lib/libssl.so.1.0.0e openssl-1.0.0e-1.fc15.i686 (Fedora Project) 1315659267
:/lib/libresolv-2.14.so glibc-2.14-5.i686 (Fedora Project) 1314631473
:/lib/libkeyutils-1.2.so keyutils-libs-1.2-7.fc15.i686 (Fedora Project) 1313354267

environ:
:HOSTNAME=fedora.linuxassistant.com
:TERM=xterm
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:MAIL=/var/spool/mail/oppie
:LANG=en_US.UTF-8
:SHELL=/bin/bash
:LOGNAME=root
:USER=root
:USERNAME=root
:PATH=/sbin:/bin:/usr/sbin:/usr/bin
:HOME=/root
:'SUDO_COMMAND=/usr/libexec/news/testhost -a'
:SUDO_USER=oppie
:SUDO_UID=500
:SUDO_GID=500

maps:
:0086a000-0086b000 r-xp 00000000 00:00 0          [vdso]
:08047000-0804d000 r-xp 00000000 fd:01 2113292    /usr/libexec/news/testhost
:0804d000-0804e000 rw-p 00005000 fd:01 2113292    /usr/libexec/news/testhost
:0804e000-08051000 rw-p 00000000 00:00 0 
:09e48000-09e69000 rw-p 00000000 00:00 0          [heap]
:416c2000-41714000 r-xp 00000000 fd:01 1979647    /usr/lib/libssl.so.1.0.0e
:41714000-41718000 rw-p 00052000 fd:01 1979647    /usr/lib/libssl.so.1.0.0e
:41918000-41935000 r-xp 00000000 fd:01 393954     /lib/ld-2.14.so
:41935000-41936000 r--p 0001d000 fd:01 393954     /lib/ld-2.14.so
:41936000-41937000 rw-p 0001e000 fd:01 393954     /lib/ld-2.14.so
:41939000-41abe000 r-xp 00000000 fd:01 394169     /lib/libc-2.14.so
:41abe000-41abf000 ---p 00185000 fd:01 394169     /lib/libc-2.14.so
:41abf000-41ac1000 r--p 00185000 fd:01 394169     /lib/libc-2.14.so
:41ac1000-41ac2000 rw-p 00187000 fd:01 394169     /lib/libc-2.14.so
:41ac2000-41ac5000 rw-p 00000000 00:00 0 
:41ac7000-41add000 r-xp 00000000 fd:01 394564     /lib/libpthread-2.14.so
:41add000-41ade000 r--p 00015000 fd:01 394564     /lib/libpthread-2.14.so
:41ade000-41adf000 rw-p 00016000 fd:01 394564     /lib/libpthread-2.14.so
:41adf000-41ae1000 rw-p 00000000 00:00 0 
:41ae3000-41ae6000 r-xp 00000000 fd:01 394171     /lib/libdl-2.14.so
:41ae6000-41ae7000 r--p 00002000 fd:01 394171     /lib/libdl-2.14.so
:41ae7000-41ae8000 rw-p 00003000 fd:01 394171     /lib/libdl-2.14.so
:41b21000-41b36000 r-xp 00000000 fd:01 398074     /lib/libz.so.1.2.5
:41b36000-41b37000 rw-p 00014000 fd:01 398074     /lib/libz.so.1.2.5
:41b58000-41b75000 r-xp 00000000 fd:01 398170     /lib/libselinux.so.1
:41b75000-41b76000 r--p 0001c000 fd:01 398170     /lib/libselinux.so.1
:41b76000-41b77000 rw-p 0001d000 fd:01 398170     /lib/libselinux.so.1
:41c94000-41caa000 r-xp 00000000 fd:01 398169     /lib/libresolv-2.14.so
:41caa000-41cab000 r--p 00016000 fd:01 398169     /lib/libresolv-2.14.so
:41cab000-41cac000 rw-p 00017000 fd:01 398169     /lib/libresolv-2.14.so
:41cac000-41cae000 rw-p 00000000 00:00 0 
:42259000-4225c000 r-xp 00000000 fd:01 398173     /lib/libcom_err.so.2.1
:4225c000-4225d000 rw-p 00002000 fd:01 398173     /lib/libcom_err.so.2.1
:423e9000-423f2000 r-xp 00000000 fd:01 398171     /lib/libkrb5support.so.0.1
:423f2000-423f3000 rw-p 00008000 fd:01 398171     /lib/libkrb5support.so.0.1
:423f5000-424c8000 r-xp 00000000 fd:01 398175     /lib/libkrb5.so.3.3
:424c8000-424ce000 rw-p 000d3000 fd:01 398175     /lib/libkrb5.so.3.3
:424d0000-4250e000 r-xp 00000000 fd:01 398177     /lib/libgssapi_krb5.so.2.2
:4250e000-42510000 rw-p 0003d000 fd:01 398177     /lib/libgssapi_krb5.so.2.2
:42512000-42514000 r-xp 00000000 fd:01 398168     /lib/libkeyutils-1.2.so
:42514000-42515000 rw-p 00001000 fd:01 398168     /lib/libkeyutils-1.2.so
:42517000-42540000 r-xp 00000000 fd:01 398172     /lib/libk5crypto.so.3.1
:42540000-42541000 rw-p 00029000 fd:01 398172     /lib/libk5crypto.so.3.1
:42dba000-42f2d000 r-xp 00000000 fd:01 394217     /lib/libcrypto.so.1.0.0e
:42f2d000-42f41000 rw-p 00173000 fd:01 394217     /lib/libcrypto.so.1.0.0e
:42f41000-42f44000 rw-p 00000000 00:00 0 
:44769000-4477f000 r-xp 00000000 fd:01 398580     /lib/libnsl-2.14.so
:4477f000-44780000 r--p 00016000 fd:01 398580     /lib/libnsl-2.14.so
:44780000-44781000 rw-p 00017000 fd:01 398580     /lib/libnsl-2.14.so
:44781000-44783000 rw-p 00000000 00:00 0 
:b784f000-b7853000 rw-p 00000000 00:00 0 
:b787c000-b787d000 rw-p 00000000 00:00 0 
:bfe32000-bfe53000 rw-p 00000000 00:00 0          [stack]

var_log_messages:
:Sep 12 01:13:45 fedora kernel: [147646.017517] testhost[29098]: segfault at 0 ip 419b8ca6 sp bfe51674 error 4 in libc-2.14.so[41939000+185000]
:Sep 12 01:13:45 fedora abrt[29099]: saved core dump of pid 29098 (/usr/libexec/news/testhost) to /var/spool/abrt/ccpp-2011-09-12-01:13:45-29098.new/coredump (610304 bytes)

Comment 1 Fedora End Of Life 2012-08-07 16:36:58 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.